package com.engine.salary.mapper.salaryacct;

import com.engine.salary.entity.salaryacct.po.SalaryAcctSobConfigPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalaryAcctSobConfigMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalaryAcctSobConfigPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryAcctSobConfigPO> listSome(SalaryAcctSobConfigPO salaryAcctSobConfig);

	/**
	 * 根据核算id查询
	 * @param salaryAcctRecordId
	 * @return
	 */
	SalaryAcctSobConfigPO getBySalaryAcctRecordId(Long salaryAcctRecordId);

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalaryAcctSobConfigPO getById(Long id);

	/**
     * 新增，忽略null字段
     *
     * @param salaryAcctSobConfig 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalaryAcctSobConfigPO salaryAcctSobConfig);

	/**
     * 修改，修改所有字段
     *
     * @param salaryAcctSobConfig 修改的记录
     * @return 返回影响行数
     */
	int update(SalaryAcctSobConfigPO salaryAcctSobConfig);

	/**
     * 修改，忽略null字段
     *
     * @param salaryAcctSobConfig 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalaryAcctSobConfigPO salaryAcctSobConfig);

	/**
     * 删除记录
     *
     * @param salaryAcctSobConfig 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalaryAcctSobConfigPO salaryAcctSobConfig);

    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

	void deleteBySalaryAcctRecordIds(@Param("salaryAcctRecordIds")  Collection<Long> salaryAcctRecordIds);

}